
From: Sam Ravnborg <sam@ravnborg.org>

Corrected check for missing ncurses-devel when executing "make menuconfig".
Now tell user to install 'ncurses-devel' if check fails.



---

 scripts/lxdialog/Makefile |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

diff -puN scripts/lxdialog/Makefile~menuconfig-ncurses-check-fix scripts/lxdialog/Makefile
--- 25/scripts/lxdialog/Makefile~menuconfig-ncurses-check-fix	2004-02-16 23:43:07.000000000 -0800
+++ 25-akpm/scripts/lxdialog/Makefile	2004-02-16 23:43:07.000000000 -0800
@@ -16,15 +16,13 @@ endif
 endif
 
 host-progs	:= lxdialog
-always		:= $(host-progs)
+always		:= ncurses $(host-progs)
 
 lxdialog-objs := checklist.o menubox.o textbox.o yesno.o inputbox.o \
 		 util.o lxdialog.o msgbox.o
 
-first_rule: ncurses
-
-.PHONY: ncurses
-ncurses:
+.PHONY: $(obj)/ncurses
+$(obj)/ncurses:
 	@echo "main() {}" > lxtemp.c
 	@if $(HOSTCC) lxtemp.c  $(HOST_LOADLIBES); then \
 		rm -f lxtemp.c a.out; \
@@ -33,7 +31,7 @@ ncurses:
 		echo -e "\007" ;\
 		echo ">> Unable to find the Ncurses libraries." ;\
 		echo ">>" ;\
-		echo ">> You must have Ncurses installed in order" ;\
+		echo ">> You must install ncurses-devel in order" ;\
 		echo ">> to use 'make menuconfig'" ;\
 		echo ;\
 		exit 1 ;\

_
